package my.petstore.service;

import java.util.List;

import my.petstore.entity.Category;
import my.petstore.entity.Item;
import my.petstore.entity.Product;

public interface ProductService {

    public List<Category> getCategoryList();

    public Category getCategory(Integer categoryId);

    public List<Product> searchProductList(String keyword);

    public Product getProduct(Integer productId);

    public Item getItem(Integer itemId);

    public boolean isItemInStock(Integer itemId);
}
